#ifndef _TDOA_SYNC_HPP_
#define _TDOA_SYNC_HPP_

#include "message.h"

struct tdoa_sync
{
	//分站TDOA同步消息发送到此接口
	virtual void on_message(message_tdoasync&sync_msg)=0;

	//将tdoa定位消息中的时间戳换算为同步链中最低级别的时间戳
	virtual void translate(message_locinfo&tdoa_msg)=0;

	//单例
	static tdoa_sync*instance();
};

#endif

